summaryrefslogtreecommitdiffstats
path: root/libraries/quesoglc/quesoglc.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/quesoglc/quesoglc.SlackBuild')
-rw-r--r--libraries/quesoglc/quesoglc.SlackBuild27
1 files changed, 24 insertions, 3 deletions
diff --git a/libraries/quesoglc/quesoglc.SlackBuild b/libraries/quesoglc/quesoglc.SlackBuild
index f2ef916c38..54aaab266d 100644
--- a/libraries/quesoglc/quesoglc.SlackBuild
+++ b/libraries/quesoglc/quesoglc.SlackBuild
@@ -2,7 +2,7 @@
# SlackBuild script for QuesoGLC
-# Copyright 2009 Matthew "mfillpot" Fillpot
+# Copyright 2010 Matthew "mfillpot" Fillpot
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,10 +24,19 @@
PRGNAM=quesoglc
VERSION=${VERSION:-0.7.2}
-ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+# Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -71,6 +80,18 @@ CFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+#No man pages
+
+#No info pages
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a AUTHORS COPYING ChangeLog INSTALL THANKS README \
$PKG/usr/doc/$PRGNAM-$VERSION